For the complete documentation index, see llms.txt. This page is also available as Markdown.

getHighestSnapshotSlot

getHighestSnapshotSlot — Highest slots covered by snapshots

post
/

Returns the highest slot information that the node has snapshots for. This will find the highest full snapshot slot, and the highest incremental snapshot slot based on the full snapshot slot, if there is one. Version Restriction : This method is only available in solana-core v1.9 or newer. Please use getSnapshotSlot for solana-core v1.8 and below.

Authorizations
AuthorizationstringOptional

Pass Authorization: <api-key> on each request.

Body
jsonrpcstring · enumRequired

JSON-RPC protocol version.

Example: 2.0Possible values:
idone ofRequired

Request identifier echoed back in the response.

Example: 1
stringOptional
or
integerOptional
methodstring · enumRequired

Must be getHighestSnapshotSlot.

Example: getHighestSnapshotSlotPossible values:
paramsarrayRequired

No parameters.

Responses
200

Successful getHighestSnapshotSlot response.

application/json

Base envelope of every JSON-RPC 2.0 response.

jsonrpcstring · enumRequiredExample: 2.0Possible values:
idone ofRequired

Echoed request id.

Example: 1
stringOptional
or
integerOptional
post/
curl -X POST https://public.rpc.solanavibestation.com \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "getHighestSnapshotSlot",
    "params": []
  }'
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "full": 416997000,
    "incremental": 416997220
  }
}

Last updated